### Hierarchy

- AddItemDialogProps

## Index

### Properties

- add
- closeDialog
- containerProperties
- defaultData
- dialogProps
- labelProvider
- path
- rootData
- rootSchema
- schema
- setSelection

### Methods

- imageProvider

## Properties

### Optional add

add: any

- Defined in tree/AddItemDialog.tsx:38

### closeDialog

closeDialog: any

- Defined in tree/AddItemDialog.tsx:35

### containerProperties

containerProperties: Property[]

- Defined in tree/AddItemDialog.tsx:31

### defaultData

defaultData: object[]

- Defined in tree/AddItemDialog.tsx:40

### dialogProps

dialogProps: any

- Defined in tree/AddItemDialog.tsx:36

### Optional labelProvider

labelProvider: SchemaLabelProvider

- Defined in tree/AddItemDialog.tsx:39

### path

path: string

- Defined in tree/AddItemDialog.tsx:33

### rootData

rootData: any

- Defined in tree/AddItemDialog.tsx:30

### rootSchema

rootSchema: any

- Defined in tree/AddItemDialog.tsx:32

### schema

schema: JsonSchema

- Defined in tree/AddItemDialog.tsx:34

### setSelection

setSelection: any

- Defined in tree/AddItemDialog.tsx:37

## Methods

### imageProvider

- imageProvider(schema: JsonSchema): string

- - Defined in tree/AddItemDialog.tsx:41

  #### Parameters

  - ##### schema: JsonSchema

  #### Returns string

Generated using TypeDoc